title1 Census of Canada, 1971: MUNICIPALITY/CA-Short Form : B1FAMC01
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   51-58
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133
       V11   134-140
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210
       V22   211-217
       V23   218-224
       V24   225-231
       V25   232-238
       V26   239-245
       V27   246-252
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287
       V33   288-294
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364
       V44   365-371
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427
       V53   428-434
       V54   435-441
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476
       V60   477-483
       V61   484-490
       V62   491-497
       V63   498-504
       V64   505-511
       V65   512-518
       V66   519-525
       V67   526-532
       C68   533-539
       C69   540-546
       V70   547-553
       V71   554-560
       V72   561-567
       V73   568-574
       V74   575-581
       V75   582-588
       V76   589-595
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714
       V94   715-721
       V95   722-728
       V96   729-735
       V97   736-742
       V98   743-749
       V99   750-756
       V100   757-763
       V101   764-770
       V102   771-777
       V103   778-784
       V104   785-791
       V105   792-798
       V106   799-805
       V107   806-812
       V108   813-819
       V109   820-826
       V110   827-833
       V111   834-840
       V112   841-2002
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban part code'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Tot fam with unmarried chldrn-age:0-24'
        V2 = 'Tot chldrn in fam'
        V3 = 'Fam with chldrn-age: under 1 yr'
        V4 = 'Fam with chldrn-age: 1 yrs'
        V5 = 'Fam with chldrn-age: 2 yrs'
        V6 = 'Fam with chldrn-age: 3 yrs'
        V7 = 'Fam with chldrn-age: 4 yrs'
        V8 = 'Fam with chldrn-age: 5 yrs'
        V9 = 'Fam with chldrn-age: 6 yrs'
        V10 = 'Fam with chldrn-age: 7 yrs'
        V11 = 'Fam with chldrn-age: 8 yrs'
        V12 = 'Fam with chldrn-age: 9 yrs'
        V13 = 'Fam with chldrn-age: 10 yrs'
        V14 = 'Fam with chldrn-age: 11 yrs'
        V15 = 'Fam with chldrn-age: 12 yrs'
        V16 = 'Fam with chldrn-age: 13 yrs'
        V17 = 'Fam with chldrn-age: 14 yrs'
        V18 = 'Fam with chldrn-age: 15 yrs'
        V19 = 'Fam with chldrn-age: 16 yrs'
        V20 = 'Fam with chldrn-age: 17 yrs'
        V21 = 'Fam with chldrn-age: 18 yrs'
        V22 = 'Fam with chldrn-age: 19 yrs'
        V23 = 'Fam with chldrn-age: 20 yrs'
        V24 = 'Fam with chldrn-age: 21 yrs'
        V25 = 'Fam with chldrn-age: 22 yrs'
        V26 = 'Fam with chldrn-age: 23 yrs'
        V27 = 'Fam with chldrn-age: 24 yrs'
        V28 = 'Tot fam'
        V29 = 'Fam with chldrn 0-24 yrs at home'
        V30 = 'Fam with chldrn 0-5 yrs'
        V31 = 'Fam with chldrn under 6 yrs'
        V32 = 'Fam with chldrn 0-5 & 6-14 only'
        V33 = 'Fam with chldrn 0-5 & 15-24 only'
        V34 = 'Fam with chldrn in all age gps'
        V35 = 'Fam with child 6-14_0, 0-6_0, 15-24'
        V36 = 'Fam with chldrn 6-14 yrs only'
        V37 = 'Fam with chldrn 6-14 & 15-24 only'
        V38 = 'Fam with no chldrn under 15 yrs'
        V39 = 'Fam with no chldrn under 25 yrs'
        V40 = 'Tot hd of fam'
        V41 = 'Hd of Fam-mother tongue (MT):English'
        V42 = 'Hd of Fam-MT: French'
        V43 = 'Hd of Fam-MT: Arabic'
        V44 = 'Hd of Fam-MT: Chinese'
        V45 = 'Hd of Fam-MT: Czech'
        V46 = 'Hd of Fam-MT: Danish'
        V47 = 'Hd of Fam-MT: Eskimo'
        V48 = 'Hd of Fam-MT: Estonian'
        V49 = 'Hd of Fam-MT: Finnish'
        V50 = 'Hd of Fam-MT: Flemish'
        V51 = 'Hd of Fam-MT: Gaelic'
        V52 = 'Hd of Fam-MT: German'
        V53 = 'Hd of Fam-MT: Greek'
        V54 = 'Hd of Fam-MT: Icelandic'
        V55 = 'Hd of Fam-MT: Indian'
        V56 = 'Hd of Fam-MT: Indo-Pakistani'
        V57 = 'Hd of Fam-MT: Italian'
        V58 = 'Hd of Fam-MT: Japanese'
        V59 = 'Hd of Fam-MT: Lettish'
        V60 = 'Hd of Fam-MT: Lithuanian'
        V61 = 'Hd of Fam-MT: Magyar (Hungarian)'
        V62 = 'Hd of Fam-MT: Netherlands'
        V63 = 'Hd of Fam-MT: Norwegian'
        V64 = 'Hd of Fam-MT: Polish'
        V65 = 'Hd of Fam-MT: Potuegese'
        V66 = 'Hd of Fam-MT: Romanian'
        V67 = 'Hd of Fam-MT: Russian'
        C68 = 'Hd of Fam-MT: Crotian, Serbian etc.'
        C69 = 'Hd of Fam-MT: Slovak'
        V70 = 'Hd of Fam-MT: Spanish'
        V71 = 'Hd of Fam-MT: Swedish'
        V72 = 'Hd of Fam-MT: Ukranian'
        V73 = 'Hd of Fam-MT: Welsh'
        V74 = 'Hd of Fam-MT: Yiddish'
        V75 = 'Hd of Fam-MT: Others'
        V76 = 'Tot non-fam persons'
        V77 = 'Non-fam persons-MT:English'
        V78 = 'Non-fam persons-MT: French'
        V79 = 'Non-fam persons-MT: Arabic'
        V80 = 'Non-fam persons-MT: Chinese'
        V81 = 'Non-fam persons-MT: Czech'
        V82 = 'Non-fam persons-MT: Danish'
        V83 = 'Non-fam persons-MT: Eskimo'
        V84 = 'Non-fam persons-MT: Estonian'
        V85 = 'Non-fam persons-MT: Finnish'
        V86 = 'Non-fam persons-MT: Flemish'
        V87 = 'Non-fam persons-MT: Gaelic'
        V88 = 'Non-fam persons-MT: German'
        V89 = 'Non-fam persons-MT: Greek'
        V90 = 'Non-fam persons-MT: Icelandic'
        V91 = 'Non-fam persons-MT: Indian'
        V92 = 'Non-fam persons-MT: Indo-Pakistani'
        V93 = 'Non-fam persons-MT: Italian'
        V94 = 'Non-fam persons-MT: Japanese'
        V95 = 'Non-fam persons-MT: Lettish'
        V96 = 'Non-fam persons-MT: Lithuanian'
        V97 = 'Non-fam persons-MT: Magyar (Hungarian)'
        V98 = 'Non-fam persons-MT: Netherlands'
        V99 = 'Non-fam persons-MT: Norwegian'
        V100 = 'Non-fam persons-MT: Polish'
        V101 = 'Non-fam persons-MT: Potuegese'
        V102 = 'Non-fam persons-MT: Romanian'
        V103 = 'Non-fam persons-MT: Russian'
        V104 = 'Non-fam persons-MT: Crotian, Serbian etc.'
        V105 = 'Non-fam persons-MT: Slovak'
        V106 = 'Non-fam persons-MT: Spanish'
        V107 = 'Non-fam persons-MT: Swedish'
        V108 = 'Non-fam persons-MT: Ukranian'
        V109 = 'Non-fam persons-MT: Welsh'
        V110 = 'Non-fam persons-MT: Yiddish'
        V111 = 'Non-fam persons-MT: Others'
        V112 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
